Package org.eclipse.ltk.core.refactoring.participants

## Class CopyParticipant

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
    - - org.eclipse.ltk.core.refactoring.participants.CopyParticipant

All Implemented Interfaces:
  `IAdaptable`

    public abstract class CopyParticipant
    extends RefactoringParticipant

A participant to participate in refactorings that copy elements to a shared clipboard. A copy participant can't assume that its associated refactoring processor is a copy processor. A copy operation might be a side effect of another refactoring operation.

Copy participants are registered via the extension point `org.eclipse.ltk.core.refactoring.copyParticipants`. Extensions to this extension point must therefore extend this abstract class.

Since:
  3.1

### Constructor Summary

Constructors
`CopyParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CopyArguments` `getArguments()` Returns the copy arguments.
`protected void` `initialize​(RefactoringArguments arguments)` Initializes the participant with the refactoring arguments

### Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant

`checkConditions, createChange, createPreChange, getName, getProcessor, getTextChange, initialize, initialize`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyParticipant

    public CopyParticipant()

### Method Detail

#### initialize

    protected final void initialize​(RefactoringArguments arguments)

Description copied from class: `RefactoringParticipant`
Initializes the participant with the refactoring arguments

Specified by:
  `initialize` in class `RefactoringParticipant`
Parameters:
  `arguments` - the refactoring arguments

#### getArguments

    public CopyArguments getArguments()

Returns the copy arguments.

Returns:
  the copy arguments